/**
 * SPDX-FileCopyrightText: 2016-2022 Dr. Tobias Quathamer <toddy@debian.org>
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

#include <json-glib/json-glib.h>

gboolean isocodes_validate(JsonParser * parser, GError ** error);
void isocodes_set_validation_error(GError ** error);
void isocodes_show_codes(JsonParser * parser, gchar ** codes);
void isocodes_show_entry(JsonObject * entry);
gchar **isocodes_get_fields(void);
const gchar *isocodes_get_string_member(JsonObject * entry, const gchar * member);
void isocodes_show_name(JsonObject * entry);
